KDE 4.5 PyKDE API Reference

- KDE's Python API

# LatLonEdit Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble.LatLonEdit

## Detailed Description

## Signals

| dimensionChanged (, Marble.Dimension dimension)
| valueChanged (, float value)

## Methods

| __init__ (self, QWidget parent=0, Marble.Dimension dimension=Marble.Longitude)
| dimensionChanged (self, Marble.Dimension dimension)
| setDimension (self, Marble.Dimension dimension)
| setValue (self, float newvalue)
float | value (self)
| valueChanged (self, float value)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Marble.Dimension | dimension=Marble.Longitude
| ) |  |  |

dimensionChanged | ( | self, |
|  | Marble.Dimension | dimension
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("dimensionChanged(Marble::Dimension)"), target_slot)`

setDimension | ( | self, |
|  | Marble.Dimension | dimension
| ) |  |  |

setValue | ( | self, |
|  | float | newvalue
| ) |  |  |

float value | ( |  | self ) |

valueChanged | ( | self, |
|  | float | value
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("valueChanged(qreal)"), target_slot)`